# Spec EmptyFieldError
Exception class for "empty field" errors.

Extends | ParseError
All Extended | ParseError, RuntimeError
Defined in | <seqan/basic.h>
Signature | `struct EmptyFieldError : RuntimeError;`

## Member Function Overview

- `EmptyFieldEror::EmptyFieldError(fieldName);`
  Construct the exception with `fieldName + " field was empty."`.

### Member Functions Inherited From ParseError

- `ParseError`

### Member Functions Inherited From RuntimeError

- `RuntimeError`

## Member Functions Detail

### `EmptyFieldEror::EmptyFieldError(fieldName);`

Construct the exception with `fieldName + " field was empty."`.

#### Parameters

`fieldName` | The field name to use for the message, `std::string`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class EmptyFieldError
     *
     * @extends ParseError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Exception class for "empty field" errors.
     *
     * @signature struct EmptyFieldError : RuntimeError;
     *
     * @fn EmptyFieldError::EmptyFieldError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Construct the exception with <tt>fieldName + " field was empty."</tt>.
     *
     * @signature EmptyFieldEror::EmptyFieldError(fieldName);
     *
     * @param[in] fieldName The field name to use for the message,
     *                      <tt>std::string</tt>.
     */